[Pkg-sysvinit-commits] r787 - in sysvinit/trunk/debian: . sysv-rc/etc/init.d

Petter Reinholdtsen pere at costa.debian.org
Thu Jul 13 16:29:06 UTC 2006


Author: pere
Date: 2006-07-13 16:29:05 +0000 (Thu, 13 Jul 2006)
New Revision: 787

Modified:
   sysvinit/trunk/debian/changelog
   sysvinit/trunk/debian/sysv-rc/etc/init.d/rc
Log:
  * Update init.d/rc to move the definition of the startup() function
    after /etc/default/rcS is sourced, to make it possible to specify
    the CONCURRENCY setting in the rcS conffile.

Modified: sysvinit/trunk/debian/changelog
===================================================================
--- sysvinit/trunk/debian/changelog	2006-07-13 10:21:00 UTC (rev 786)
+++ sysvinit/trunk/debian/changelog	2006-07-13 16:29:05 UTC (rev 787)
@@ -6,6 +6,9 @@
   * Update the descripton in LSB header for init.d/hostname.sh.
   * Fix 'startpar' concurrency option to only run start and stop
     scripts once.  (Closes: #378092)
+  * Update init.d/rc to move the definition of the startup() function
+    after /etc/default/rcS is sourced, to make it possible to specify
+    the CONCURRENCY setting in the rcS conffile.
 
  -- Henrique de Moraes Holschuh <hmh at debian.org>  Mon, 27 Mar 2006 10:46:28 -0300
 

Modified: sysvinit/trunk/debian/sysv-rc/etc/init.d/rc
===================================================================
--- sysvinit/trunk/debian/sysv-rc/etc/init.d/rc	2006-07-13 10:21:00 UTC (rev 786)
+++ sysvinit/trunk/debian/sysv-rc/etc/init.d/rc	2006-07-13 16:29:05 UTC (rev 787)
@@ -28,6 +28,47 @@
 
 umask 022
 
+on_exit() {
+    echo "error: '$scriptname' exited outside the expected code flow."
+}
+trap on_exit EXIT # Enable emergency handler
+
+# Ignore CTRL-C only in this shell, so we can interrupt subprocesses.
+trap ":" INT QUIT TSTP
+
+# Set onlcr to avoid staircase effect.
+stty onlcr 0>&1
+
+# Now find out what the current and what the previous runlevel are.
+
+runlevel=$RUNLEVEL
+# Get first argument. Set new runlevel to this argument.
+[ "$1" != "" ] && runlevel=$1
+if [ "$runlevel" = "" ]
+then
+	echo "Usage: $scriptname <runlevel>" >&2
+	exit 1
+fi
+previous=$PREVLEVEL
+[ "$previous" = "" ] && previous=N
+
+export runlevel previous
+
+if [ S = "$runlevel" ]
+then
+	#
+	# See if system needs to be setup. This is ONLY meant to
+	# be used for the initial setup after a fresh installation!
+	#
+	if [ -x /sbin/unconfigured.sh ]
+	then
+		/sbin/unconfigured.sh
+	fi
+fi
+
+. /etc/default/rcS
+export VERBOSE
+
 #
 # Start script or program.
 #
@@ -128,47 +169,6 @@
 	;;
 esac
 
-on_exit() {
-    echo "error: '$scriptname' exited outside the expected code flow."
-}
-trap on_exit EXIT # Enable emergency handler
-
-# Ignore CTRL-C only in this shell, so we can interrupt subprocesses.
-trap ":" INT QUIT TSTP
-
-# Set onlcr to avoid staircase effect.
-stty onlcr 0>&1
-
-# Now find out what the current and what the previous runlevel are.
-
-runlevel=$RUNLEVEL
-# Get first argument. Set new runlevel to this argument.
-[ "$1" != "" ] && runlevel=$1
-if [ "$runlevel" = "" ]
-then
-	echo "Usage: $scriptname <runlevel>" >&2
-	exit 1
-fi
-previous=$PREVLEVEL
-[ "$previous" = "" ] && previous=N
-
-export runlevel previous
-
-if [ S = "$runlevel" ]
-then
-	#
-	# See if system needs to be setup. This is ONLY meant to
-	# be used for the initial setup after a fresh installation!
-	#
-	if [ -x /sbin/unconfigured.sh ]
-	then
-		/sbin/unconfigured.sh
-	fi
-fi
-
-. /etc/default/rcS
-export VERBOSE
-
 # Is there an rc directory for this new runlevel?
 if [ -d /etc/rc$runlevel.d ]
 then




More information about the Pkg-sysvinit-commits mailing list